326  uv(1) - Kailash Tool Reference

326.1 uv

uv - uv — extremely fast Python package/project manager (MIT/Apache dual).

Layer OPS
Category o-05-ai-engineering-sdks-dev-env
Safety class safe
Licence MIT OR Apache-2.0
Upstream github.com/astral-sh/uv

326.1.1 NAME

uv - uv — extremely fast Python package/project manager (MIT/Apache dual).

326.1.2 SYNOPSIS & usage

Derived from the upstream README at generation time; verify against --help where the tool is installed.

# On macOS and Linux.
curl -LsSf https://astral.sh/uv/install.sh | sh
# On Windows.
powershell -ExecutionPolicy ByPass -c "irm https://astral.sh/uv/install.ps1 | iex"

326.1.3 DESCRIPTION (upstream)

An extremely fast Python package and project manager, written in Rust. - A single tool to replace pip, pip-tools, pipx, poetry, pyenv, twine, virtualenv, and more. - 10-100x faster than pip. - Provides comprehensive project management, with a universal lockfile. - Runs scripts, with support for inline dependency metadata. - Installs and manages Python versions. - Runs and installs tools published as Python packages. - Include

326.1.4 SEE ALSO


ref: pin - verified 2026-10-14